Loading...
Searching...
No Matches
volk_8u_x3_encodepolar_8u_x2.h File Reference
`#include <stdio.h>`
`#include <volk/volk_8u_x2_encodeframepolar_8u.h>`
`#include <tmmintrin.h>`

Go to the source code of this file.

## Macros

#define | VOLK_KERNELS_VOLK_VOLK_8U_X3_ENCODEPOLAR_8U_X2_A_H_

## Functions

static void | interleave_frozen_and_info_bits (unsigned char *target, const unsigned char *frozen_bit_mask, const unsigned char *frozen_bits, const unsigned char *info_bits, const unsigned int frame_size)
static void | volk_8u_x3_encodepolar_8u_x2_generic (unsigned char *frame, unsigned char *temp, const unsigned char *frozen_bit_mask, const unsigned char *frozen_bits, const unsigned char *info_bits, unsigned int frame_size)
static void | volk_8u_x3_encodepolar_8u_x2_u_ssse3 (unsigned char *frame, unsigned char *temp, const unsigned char *frozen_bit_mask, const unsigned char *frozen_bits, const unsigned char *info_bits, unsigned int frame_size)
static void | volk_8u_x3_encodepolar_8u_x2_a_ssse3 (unsigned char *frame, unsigned char *temp, const unsigned char *frozen_bit_mask, const unsigned char *frozen_bits, const unsigned char *info_bits, unsigned int frame_size)

## Macro Definition Documentation

## VOLK_KERNELS_VOLK_VOLK_8U_X3_ENCODEPOLAR_8U_X2_A_H_

#define VOLK_KERNELS_VOLK_VOLK_8U_X3_ENCODEPOLAR_8U_X2_A_H_

## Function Documentation

## interleave_frozen_and_info_bits()

void interleave_frozen_and_info_bits | ( | unsigned char * | target,
|  | const unsigned char * | frozen_bit_mask,
|  | const unsigned char * | frozen_bits,
|  | const unsigned char * | info_bits,
|  | const unsigned int | frame_size )

inline static

## volk_8u_x3_encodepolar_8u_x2_a_ssse3()

void volk_8u_x3_encodepolar_8u_x2_a_ssse3 | ( | unsigned char * | frame,
|  | unsigned char * | temp,
|  | const unsigned char * | frozen_bit_mask,
|  | const unsigned char * | frozen_bits,
|  | const unsigned char * | info_bits,
|  | unsigned int | frame_size )

inline static

## volk_8u_x3_encodepolar_8u_x2_generic()

void volk_8u_x3_encodepolar_8u_x2_generic | ( | unsigned char * | frame,
|  | unsigned char * | temp,
|  | const unsigned char * | frozen_bit_mask,
|  | const unsigned char * | frozen_bits,
|  | const unsigned char * | info_bits,
|  | unsigned int | frame_size )

inline static

## volk_8u_x3_encodepolar_8u_x2_u_ssse3()

void volk_8u_x3_encodepolar_8u_x2_u_ssse3 | ( | unsigned char * | frame,
|  | unsigned char * | temp,
|  | const unsigned char * | frozen_bit_mask,
|  | const unsigned char * | frozen_bits,
|  | const unsigned char * | info_bits,
|  | unsigned int | frame_size )

inline static